Index: code/branches/ogre1.9/data/gui/schemes/VanillaMenuWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/VanillaMenuWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/VanillaMenuWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="VanillaMenuWidgets">
-    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="Vanilla/StaticImage" />
-    <WindowAlias Alias="MenuWidgets/StaticText"               Target="Vanilla/StaticText" />
-    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="Vanilla/TabButtonPane" />
-    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="Vanilla/TabContentPane" />
-    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="Vanilla/Checkbox" />
-    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="Vanilla/Combobox" />
-    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="Vanilla/ComboDropList" />
-    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="Vanilla/ComboEditbox" />
-    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="Vanilla/Editbox" />
-    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="Vanilla/FrameWindow" />
-    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="Vanilla/GroupBox" />
-    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="Vanilla/ItemListbox" />
-    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="Vanilla/ListboxItem" />
-    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="Vanilla/Listbox" />
-    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="Vanilla/ListHeader" />
-    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="Vanilla/ListHeaderSegment" />
-    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="Vanilla/MultiLineEditbox" />
-    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="Vanilla/Menubar" />
-    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="Vanilla/MenuItem" />
-    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="Vanilla/MultiColumnList" />
-    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="Vanilla/PopupMenu" />
-    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="Vanilla/ProgressBar" />
-    <WindowAlias Alias="MenuWidgets/Button"                   Target="Vanilla/Button" />
-    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="Vanilla/ImageButton" />
-    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="Vanilla/RadioButton" />
-    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="Vanilla/SystemButton" />
-    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="Vanilla/ScrollablePane" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="Vanilla/HorizontalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="Vanilla/VerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/Slider"                   Target="Vanilla/Slider" />
-    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="Vanilla/Spinner" />
-    <WindowAlias Alias="MenuWidgets/TabButton"                Target="Vanilla/TabButton" />
-    <WindowAlias Alias="MenuWidgets/TabControl"               Target="Vanilla/TabControl" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="Vanilla/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="Vanilla/SliderThumb" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="Vanilla/VerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="Vanilla/Titlebar" />
-    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="Vanilla/Tooltip" />
-    <WindowAlias Alias="MenuWidgets/Tree"                     Target="Vanilla/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="VanillaMenuWidgets" version="5">
+    <WindowAlias alias="MenuWidgets/StaticImage" target="Vanilla/StaticImage" />
+    <WindowAlias alias="MenuWidgets/StaticText" target="Vanilla/StaticText" />
+    <WindowAlias alias="MenuWidgets/TabButtonPane" target="Vanilla/TabButtonPane" />
+    <WindowAlias alias="MenuWidgets/TabContentPane" target="Vanilla/TabContentPane" />
+    <WindowAlias alias="MenuWidgets/Checkbox" target="Vanilla/Checkbox" />
+    <WindowAlias alias="MenuWidgets/Combobox" target="Vanilla/Combobox" />
+    <WindowAlias alias="MenuWidgets/ComboDropList" target="Vanilla/ComboDropList" />
+    <WindowAlias alias="MenuWidgets/ComboEditbox" target="Vanilla/ComboEditbox" />
+    <WindowAlias alias="MenuWidgets/Editbox" target="Vanilla/Editbox" />
+    <WindowAlias alias="MenuWidgets/FrameWindow" target="Vanilla/FrameWindow" />
+    <WindowAlias alias="MenuWidgets/GroupBox" target="Vanilla/GroupBox" />
+    <WindowAlias alias="MenuWidgets/ItemListbox" target="Vanilla/ItemListbox" />
+    <WindowAlias alias="MenuWidgets/ListboxItem" target="Vanilla/ListboxItem" />
+    <WindowAlias alias="MenuWidgets/Listbox" target="Vanilla/Listbox" />
+    <WindowAlias alias="MenuWidgets/ListHeader" target="Vanilla/ListHeader" />
+    <WindowAlias alias="MenuWidgets/ListHeaderSegment" target="Vanilla/ListHeaderSegment" />
+    <WindowAlias alias="MenuWidgets/MultiLineEditbox" target="Vanilla/MultiLineEditbox" />
+    <WindowAlias alias="MenuWidgets/Menubar" target="Vanilla/Menubar" />
+    <WindowAlias alias="MenuWidgets/MenuItem" target="Vanilla/MenuItem" />
+    <WindowAlias alias="MenuWidgets/MultiColumnList" target="Vanilla/MultiColumnList" />
+    <WindowAlias alias="MenuWidgets/PopupMenu" target="Vanilla/PopupMenu" />
+    <WindowAlias alias="MenuWidgets/ProgressBar" target="Vanilla/ProgressBar" />
+    <WindowAlias alias="MenuWidgets/Button" target="Vanilla/Button" />
+    <WindowAlias alias="MenuWidgets/ImageButton" target="Vanilla/ImageButton" />
+    <WindowAlias alias="MenuWidgets/RadioButton" target="Vanilla/RadioButton" />
+    <WindowAlias alias="MenuWidgets/SystemButton" target="Vanilla/SystemButton" />
+    <WindowAlias alias="MenuWidgets/ScrollablePane" target="Vanilla/ScrollablePane" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbar" target="Vanilla/HorizontalScrollbar" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbar" target="Vanilla/VerticalScrollbar" />
+    <WindowAlias alias="MenuWidgets/Slider" target="Vanilla/Slider" />
+    <WindowAlias alias="MenuWidgets/Spinner" target="Vanilla/Spinner" />
+    <WindowAlias alias="MenuWidgets/TabButton" target="Vanilla/TabButton" />
+    <WindowAlias alias="MenuWidgets/TabControl" target="Vanilla/TabControl" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbarThumb" target="Vanilla/HorizontalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/SliderThumb" target="Vanilla/SliderThumb" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbarThumb" target="Vanilla/VerticalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/Titlebar" target="Vanilla/Titlebar" />
+    <WindowAlias alias="MenuWidgets/Tooltip" target="Vanilla/Tooltip" />
+    <WindowAlias alias="MenuWidgets/Tree" target="Vanilla/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/WindowsHUDWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/WindowsHUDWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/WindowsHUDWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="WindowsHUDWidgets">
-    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="WindowsLook/StaticImage" />
-    <WindowAlias Alias="HUDWidgets/StaticText"               Target="WindowsLook/StaticText" />
-    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="WindowsLook/TabButtonPane" />
-    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="WindowsLook/TabContentPane" />
-    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="WindowsLook/Checkbox" />
-    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="WindowsLook/Combobox" />
-    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="WindowsLook/ComboDropList" />
-    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="WindowsLook/ComboEditbox" />
-    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="WindowsLook/Editbox" />
-    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="WindowsLook/FrameWindow" />
-    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="WindowsLook/GroupBox" />
-    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="WindowsLook/ItemListbox" />
-    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="WindowsLook/ListboxItem" />
-    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="WindowsLook/Listbox" />
-    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="WindowsLook/ListHeader" />
-    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="WindowsLook/ListHeaderSegment" />
-    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="WindowsLook/MultiLineEditbox" />
-    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="WindowsLook/Menubar" />
-    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="WindowsLook/MenuItem" />
-    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="WindowsLook/MultiColumnList" />
-    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="WindowsLook/PopupMenu" />
-    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="WindowsLook/ProgressBar" />
-    <WindowAlias Alias="HUDWidgets/Button"                   Target="WindowsLook/Button" />
-    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="WindowsLook/ImageButton" />
-    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="WindowsLook/RadioButton" />
-    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="WindowsLook/SystemButton" />
-    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="WindowsLook/ScrollablePane" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="WindowsLook/HorizontalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="WindowsLook/VerticalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/Slider"                   Target="WindowsLook/Slider" />
-    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="WindowsLook/Spinner" />
-    <WindowAlias Alias="HUDWidgets/TabButton"                Target="WindowsLook/TabButton" />
-    <WindowAlias Alias="HUDWidgets/TabControl"               Target="WindowsLook/TabControl" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="WindowsLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="WindowsLook/SliderThumb" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="WindowsLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="WindowsLook/Titlebar" />
-    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="WindowsLook/Tooltip" />
-    <WindowAlias Alias="HUDWidgets/Tree"                     Target="WindowsLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="WindowsHUDWidgets" version="5">
+    <WindowAlias alias="HUDWidgets/StaticImage" target="WindowsLook/StaticImage" />
+    <WindowAlias alias="HUDWidgets/StaticText" target="WindowsLook/StaticText" />
+    <WindowAlias alias="HUDWidgets/TabButtonPane" target="WindowsLook/TabButtonPane" />
+    <WindowAlias alias="HUDWidgets/TabContentPane" target="WindowsLook/TabContentPane" />
+    <WindowAlias alias="HUDWidgets/Checkbox" target="WindowsLook/Checkbox" />
+    <WindowAlias alias="HUDWidgets/Combobox" target="WindowsLook/Combobox" />
+    <WindowAlias alias="HUDWidgets/ComboDropList" target="WindowsLook/ComboDropList" />
+    <WindowAlias alias="HUDWidgets/ComboEditbox" target="WindowsLook/ComboEditbox" />
+    <WindowAlias alias="HUDWidgets/Editbox" target="WindowsLook/Editbox" />
+    <WindowAlias alias="HUDWidgets/FrameWindow" target="WindowsLook/FrameWindow" />
+    <WindowAlias alias="HUDWidgets/GroupBox" target="WindowsLook/GroupBox" />
+    <WindowAlias alias="HUDWidgets/ItemListbox" target="WindowsLook/ItemListbox" />
+    <WindowAlias alias="HUDWidgets/ListboxItem" target="WindowsLook/ListboxItem" />
+    <WindowAlias alias="HUDWidgets/Listbox" target="WindowsLook/Listbox" />
+    <WindowAlias alias="HUDWidgets/ListHeader" target="WindowsLook/ListHeader" />
+    <WindowAlias alias="HUDWidgets/ListHeaderSegment" target="WindowsLook/ListHeaderSegment" />
+    <WindowAlias alias="HUDWidgets/MultiLineEditbox" target="WindowsLook/MultiLineEditbox" />
+    <WindowAlias alias="HUDWidgets/Menubar" target="WindowsLook/Menubar" />
+    <WindowAlias alias="HUDWidgets/MenuItem" target="WindowsLook/MenuItem" />
+    <WindowAlias alias="HUDWidgets/MultiColumnList" target="WindowsLook/MultiColumnList" />
+    <WindowAlias alias="HUDWidgets/PopupMenu" target="WindowsLook/PopupMenu" />
+    <WindowAlias alias="HUDWidgets/ProgressBar" target="WindowsLook/ProgressBar" />
+    <WindowAlias alias="HUDWidgets/Button" target="WindowsLook/Button" />
+    <WindowAlias alias="HUDWidgets/ImageButton" target="WindowsLook/ImageButton" />
+    <WindowAlias alias="HUDWidgets/RadioButton" target="WindowsLook/RadioButton" />
+    <WindowAlias alias="HUDWidgets/SystemButton" target="WindowsLook/SystemButton" />
+    <WindowAlias alias="HUDWidgets/ScrollablePane" target="WindowsLook/ScrollablePane" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbar" target="WindowsLook/HorizontalScrollbar" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbar" target="WindowsLook/VerticalScrollbar" />
+    <WindowAlias alias="HUDWidgets/Slider" target="WindowsLook/Slider" />
+    <WindowAlias alias="HUDWidgets/Spinner" target="WindowsLook/Spinner" />
+    <WindowAlias alias="HUDWidgets/TabButton" target="WindowsLook/TabButton" />
+    <WindowAlias alias="HUDWidgets/TabControl" target="WindowsLook/TabControl" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbarThumb" target="WindowsLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/SliderThumb" target="WindowsLook/SliderThumb" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbarThumb" target="WindowsLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/Titlebar" target="WindowsLook/Titlebar" />
+    <WindowAlias alias="HUDWidgets/Tooltip" target="WindowsLook/Tooltip" />
+    <WindowAlias alias="HUDWidgets/Tree" target="WindowsLook/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/WindowsLook.scheme	(revision 11211)
@@ -1,55 +1,49 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="WindowsLook">
-    <Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
-    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="WindowsLook.looknfeel" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="WindowsLook/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="WindowsLook/StaticImage" />
-    <FalagardMapping WindowType="WindowsLook/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="WindowsLook/StaticText" />
-    <FalagardMapping WindowType="WindowsLook/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabButtonPane" />
-    <FalagardMapping WindowType="WindowsLook/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/TabContentPane" />
-    <FalagardMapping WindowType="WindowsLook/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/Checkbox" />
-    <FalagardMapping WindowType="WindowsLook/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/Combobox" />
-    <FalagardMapping WindowType="WindowsLook/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/ComboDropList" />
-    <FalagardMapping WindowType="WindowsLook/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="WindowsLook/Editbox" />
-    <FalagardMapping WindowType="WindowsLook/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="WindowsLook/FrameWindow" />
-    <FalagardMapping WindowType="WindowsLook/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="WindowsLook/GroupBox" />
-    <FalagardMapping WindowType="WindowsLook/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="WindowsLook/ItemListbox" />
-    <FalagardMapping WindowType="WindowsLook/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="WindowsLook/ListboxItem" />
-    <FalagardMapping WindowType="WindowsLook/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="WindowsLook/Listbox" />
-    <FalagardMapping WindowType="WindowsLook/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="WindowsLook/ListHeader" />
-    <FalagardMapping WindowType="WindowsLook/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="WindowsLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="WindowsLook/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="WindowsLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="WindowsLook/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="WindowsLook/Menubar" />
-    <FalagardMapping WindowType="WindowsLook/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="WindowsLook/MenuItem" />
-    <FalagardMapping WindowType="WindowsLook/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="WindowsLook/MultiColumnList" />
-    <FalagardMapping WindowType="WindowsLook/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="WindowsLook/PopupMenu" />
-    <FalagardMapping WindowType="WindowsLook/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="WindowsLook/ProgressBar" />
-    <FalagardMapping WindowType="WindowsLook/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/Button" />
-    <FalagardMapping WindowType="WindowsLook/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="WindowsLook/RadioButton" />
-    <FalagardMapping WindowType="WindowsLook/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="WindowsLook/Button" />
-    <FalagardMapping WindowType="WindowsLook/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="WindowsLook/ScrollablePane" />
-    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="WindowsLook/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="WindowsLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="WindowsLook/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="WindowsLook/Slider" />
-    <FalagardMapping WindowType="WindowsLook/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="WindowsLook/Spinner" />
-    <FalagardMapping WindowType="WindowsLook/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="WindowsLook/TabButton" />
-    <FalagardMapping WindowType="WindowsLook/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="WindowsLook/TabControl" />
-    <FalagardMapping WindowType="WindowsLook/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="WindowsLook/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/SliderThumb" />
-    <FalagardMapping WindowType="WindowsLook/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="WindowsLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="WindowsLook/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="WindowsLook/Titlebar" />
-    <FalagardMapping WindowType="WindowsLook/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="WindowsLook/Tooltip" />
-    
-    <!-- Missing widgets (using Taharez LookNFeel) -->
-    <FalagardMapping WindowType="WindowsLook/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="WindowsLook/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="WindowsLook/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="WindowsLook/IconButton"                  TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="WindowsLook/IconButton" />
-    <FalagardMapping WindowType="WindowsLook/Static"                      TargetType="DefaultWindow"           Renderer="Falagard/Static"            LookNFeel="WindowsLook/Static" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="WindowsLook" version="5">
+    <Imageset filename="WindowsLook.imageset" name="WindowsLook" />
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="WindowsLook.looknfeel" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="WindowsLook/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="WindowsLook/StaticImage" />
+    <FalagardMapping lookNFeel="WindowsLook/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="WindowsLook/StaticText" />
+    <FalagardMapping lookNFeel="WindowsLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="WindowsLook/TabButtonPane" />
+    <FalagardMapping lookNFeel="WindowsLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="WindowsLook/TabContentPane" />
+    <FalagardMapping lookNFeel="WindowsLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="WindowsLook/Checkbox" />
+    <FalagardMapping lookNFeel="WindowsLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="WindowsLook/Combobox" />
+    <FalagardMapping lookNFeel="WindowsLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="WindowsLook/ComboDropList" />
+    <FalagardMapping lookNFeel="WindowsLook/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="WindowsLook/Editbox" />
+    <FalagardMapping lookNFeel="WindowsLook/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="WindowsLook/FrameWindow" />
+    <FalagardMapping lookNFeel="WindowsLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="WindowsLook/GroupBox" />
+    <FalagardMapping lookNFeel="WindowsLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="WindowsLook/ItemListbox" />
+    <FalagardMapping lookNFeel="WindowsLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="WindowsLook/ListboxItem" />
+    <FalagardMapping lookNFeel="WindowsLook/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="WindowsLook/Listbox" />
+    <FalagardMapping lookNFeel="WindowsLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="WindowsLook/ListHeader" />
+    <FalagardMapping lookNFeel="WindowsLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="WindowsLook/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="WindowsLook/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="WindowsLook/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="WindowsLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="WindowsLook/Menubar" />
+    <FalagardMapping lookNFeel="WindowsLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="WindowsLook/MenuItem" />
+    <FalagardMapping lookNFeel="WindowsLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="WindowsLook/MultiColumnList" />
+    <FalagardMapping lookNFeel="WindowsLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="WindowsLook/PopupMenu" />
+    <FalagardMapping lookNFeel="WindowsLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="WindowsLook/ProgressBar" />
+    <FalagardMapping lookNFeel="WindowsLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/Button" />
+    <FalagardMapping lookNFeel="WindowsLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="WindowsLook/RadioButton" />
+    <FalagardMapping lookNFeel="WindowsLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/SystemButton" />
+    <FalagardMapping lookNFeel="WindowsLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="WindowsLook/ScrollablePane" />
+    <FalagardMapping lookNFeel="WindowsLook/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="WindowsLook/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="WindowsLook/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="WindowsLook/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="WindowsLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="WindowsLook/Slider" />
+    <FalagardMapping lookNFeel="WindowsLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="WindowsLook/Spinner" />
+    <FalagardMapping lookNFeel="WindowsLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="WindowsLook/TabButton" />
+    <FalagardMapping lookNFeel="WindowsLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="WindowsLook/TabControl" />
+    <FalagardMapping lookNFeel="WindowsLook/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/SliderThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="WindowsLook/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="WindowsLook/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="WindowsLook/Titlebar" />
+    <FalagardMapping lookNFeel="WindowsLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="WindowsLook/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="WindowsLook/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="WindowsLook/Tree" />
+    <FalagardMapping lookNFeel="WindowsLook/IconButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="WindowsLook/IconButton" />
+    <FalagardMapping lookNFeel="WindowsLook/Static" renderer="Core/Static" targetType="DefaultWindow" windowType="WindowsLook/Static" />
 </GUIScheme>
